/// <reference types="react" />
import { IContext } from 'src/handlers/RenderWrapper';
declare class Event {
    type: string;
    detail: any;
    /**
     * 类别应当为 typeof UserWidget
     * 当前类别为 typeof $page.widgets.xxxx
     * 添加上报确定用量
     */
    currentTarget: any;
    target?: any;
    /**
     * 内部实现
     * 外部不应该进行访问
     */
    _isCapturePhase: boolean;
    origin: Event;
    originEvent?: React.SyntheticEvent;
    constructor({ type, detail, currentTarget, target, _isCapturePhase, origin, originEvent, }: {
        type: string;
        currentTarget: any;
        target?: any;
        detail?: any;
        _isCapturePhase?: boolean;
        origin?: Event;
        originEvent?: React.SyntheticEvent;
    });
}
export declare function generateEmit($w: any, currentWidget?: any, // page 节点暂未生成
injectContext?: any, extraListeners?: any[], extraForContext?: {}): (trigger: any, listeners: any[], eventData: any, forItems: any, originalEvent: React.SyntheticEvent, scopeContext: any, dataContext: any, pageId?: string, syncCall?: boolean) => any;
export declare function mergeDynamic2StaticData(staticData: any, dataBinds: any, context: {
    $w: any;
    forContext?: IContext['forContext'];
    codeContext?: {
        $WEAPPS_COMP?: any;
        event?: Event;
    };
    scopeContext?: IContext['scopeContext'];
    dataContext?: IContext['dataContext'];
    paramsContext?: Record<string, any>;
}, combainErrors?: boolean): any;
export {};
